Bug 1285938 - [abrt] kwin: KCrash::defaultCrashHandler(): kwin_x11 killed by SIGSEGV
[abrt] kwin: KCrash::defaultCrashHandler(): kwin_x11 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kwin (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:01ed5ebc8c74863a77be25221ba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 21:37 EST by DeepPurpleFedora
Modified: 2016-12-20 11:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:20:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (57.63 KB, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details
File: core_backtrace (10.56 KB, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details
File: dso_list (18.25 KB, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details
File: environ (1.55 KB, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details
File: maps (96.64 KB, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details
File: mountinfo (3.28 KB, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details
File: open_fds (181 bytes, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details
File: var_log_messages (300 bytes, text/plain)
2015-11-26 21:37 EST, DeepPurpleFedora
no flags Details

  None (edit)
Description DeepPurpleFedora 2015-11-26 21:37:33 EST
Description of problem:
loged in opened a window then opened another one. the order or application never matters.

Version-Release number of selected component:
kwin-5.4.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        kwin_x11 -session 1017718513c14b000144780646900000016530004_1448167052_191187
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/kwin_x11
global_pid:     1714
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:431
 #3 QV4::Managed::d at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4managed_p.h:134
 #4 QV4::Managed::as<QV4::RegExpObject> at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4managed_p.h:182
 #5 toVariant at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4engine.cpp:1281
 #6 QV4::ExecutionEngine::toVariant at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/jsruntime/qv4engine.cpp:1192
 #7 QQmlPropertyPrivate::writeBinding at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/qml/qqmlproperty.cpp:1548
 #8 QQmlBinding::update at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/qml/qqmlbinding.cpp:198
 #9 QQmlAbstractBinding::setEnabled at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/qml/qqmlabstractbinding_p.h:110
 #10 QQmlObjectCreator::finalize at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/qml/qqmlobjectcreator.cpp:1194
 #11 QQmlComponentPrivate::complete at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/qml/qqmlcomponent.cpp:928
Comment 1 DeepPurpleFedora 2015-11-26 21:37:37 EST
Created attachment 1099537 [details]
File: backtrace
Comment 2 DeepPurpleFedora 2015-11-26 21:37:39 EST
Created attachment 1099538 [details]
File: cgroup
Comment 3 DeepPurpleFedora 2015-11-26 21:37:40 EST
Created attachment 1099539 [details]
File: core_backtrace
Comment 4 DeepPurpleFedora 2015-11-26 21:37:41 EST
Created attachment 1099540 [details]
File: dso_list
Comment 5 DeepPurpleFedora 2015-11-26 21:37:42 EST
Created attachment 1099541 [details]
File: environ
Comment 6 DeepPurpleFedora 2015-11-26 21:37:43 EST
Created attachment 1099542 [details]
File: limits
Comment 7 DeepPurpleFedora 2015-11-26 21:37:45 EST
Created attachment 1099543 [details]
File: maps
Comment 8 DeepPurpleFedora 2015-11-26 21:37:46 EST
Created attachment 1099544 [details]
File: mountinfo
Comment 9 DeepPurpleFedora 2015-11-26 21:37:48 EST
Created attachment 1099545 [details]
File: namespaces
Comment 10 DeepPurpleFedora 2015-11-26 21:37:49 EST
Created attachment 1099546 [details]
File: open_fds
Comment 11 DeepPurpleFedora 2015-11-26 21:37:50 EST
Created attachment 1099548 [details]
File: proc_pid_status
Comment 12 DeepPurpleFedora 2015-11-26 21:37:51 EST
Created attachment 1099549 [details]
File: var_log_messages
Comment 13 Randy Barlow 2016-03-02 10:00:03 EST
Similar problem has been detected:

I started Seamonkey's mail client. I have seen this crash happen twice in a row while starting Seamonkey's mail client.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        kwin_x11 -session 1029929a1d7199000145671680700000018950002_1456883875_614721
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/kwin_x11
global_pid:     2652
kernel:         4.4.2-301.fc23.x86_64
package:        kwin-5.5.4-1.fc23
reason:         kwin_x11 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-11-24 08:46:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:20:36 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.